/* 
 * File:   main.c
 * Author: Bugz Bensce
 *
 * Created on 15 March 2023, 2:50 PM
 */

#define  _XTAL_FREQ  8000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/config/config_words.h"
#include "assets/Segments/Segments.h"
#include "assets/LM75/LM75.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
   LM75_init();
   Segments_init();

   while(1)
   {
      signed int tempr = (signed int) (LM75_read(TEMPERATURE_ADDRESS) * 10);
      Segments_display( FIFO, tempr );
   }

   return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------